This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881855 - (CVE-2012-5592, CVE-2012-6052) CVE-2012-5592 CVE-2012-6052 wireshark: pcap-ng hostname disclosure (wnpa-sec-2012-30)
CVE-2012-5592 CVE-2012-6052 wireshark: pcap-ng hostname disclosure (wnpa-sec-...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121128,reported=2...
: Security
Depends On:
Blocks: 881865
  Show dependency treegraph
 
Reported: 2012-11-29 12:12 EST by Jan Lieskovsky
Modified: 2015-07-31 06:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 16:55:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-29 12:12:51 EST
An information disclosure flaw was found in the way Wireshark, a network traffic analyzer, stored name resolution information for pcap-ng (PCAP Next Generation Dump File) format files (previously resolution information was shared between different pcap-ng capture files in certain circumstances). A local user could use this deficiency to in an unauthorized way obtain host entries information, when working with multiple pcap-ng files.

References:
[1] http://www.wireshark.org/security/wnpa-sec-2012-30.html
[2] http://www.wireshark.org/docs/relnotes/wireshark-1.8.4.html

Relevant upstream patch (seems to be this one):
[3] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45511
Comment 1 Jan Lieskovsky 2012-11-29 12:20:29 EST
This issue did NOT affect the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the wireshark package, as shipped with Fedora release of 16 and 17.
Comment 2 Vincent Danen 2012-11-29 16:54:40 EST
This was assigned CVE-2012-5592:

http://www.openwall.com/lists/oss-security/2012/11/29/5
Comment 3 Vincent Danen 2012-11-29 17:04:27 EST
Statement CVE-2012-6052:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Jan Lieskovsky 2012-12-05 08:32:52 EST
CVE-2012-5592 identifier has been rejected by Mitre in favour of CVE-2012-6052:

Name: CVE-2012-5592

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2012-6052.  Reason:
This candidate is a reservation duplicate of CVE-2012-6052.  Notes:
All CVE users should reference CVE-2012-6052 instead of this
candidate.  All references and descriptions in this candidate have
been removed to prevent accidental usage.

--

The correct id, this particular wireshark flaw should be referenced under (from now on) is CVE-2012-6052.

Note You need to log in before you can comment on or make changes to this bug.